diff --git a/Documentation/devicetree/bindings/arm/qcom.yaml b/Documentation/devicetree/bindings/arm/qcom.yaml
index 809d3de18194..f2d3209a25fa 100644
--- a/Documentation/devicetree/bindings/arm/qcom.yaml
+++ b/Documentation/devicetree/bindings/arm/qcom.yaml
@@ -130,6 +130,8 @@ properties:
               - qcom,msm8998
               - qcom,sa8155p
               - qcom,sa8540p
+              - qcom,sc7180
+              - qcom,sc7280
               - qcom,sc8180x
               - qcom,sc8280xp
               - qcom,sda660
@@ -165,65 +167,24 @@ properties:
           - const: qcom,apq8096-sbc
           - const: qcom,apq8096
 
-      - description: Qualcomm Technologies, Inc. SC7180 IDP
-        items:
-          - enum:
-              - qcom,sc7180-idp
-          - const: qcom,sc7180
-
       - description: HP Chromebook x2 11c (rev1 - 2)
         items:
           - const: google,coachz-rev1
           - const: google,coachz-rev2
           - const: qcom,sc7180
 
-      - description: HP Chromebook x2 11c (newest rev)
-        items:
-          - const: google,coachz
-          - const: qcom,sc7180
-
       - description: HP Chromebook x2 11c with LTE (rev1 - 2)
         items:
           - const: google,coachz-rev1-sku0
           - const: google,coachz-rev2-sku0
           - const: qcom,sc7180
 
-      - description: HP Chromebook x2 11c with LTE (newest rev)
-        items:
-          - const: google,coachz-sku0
-          - const: qcom,sc7180
-
       - description: Lenovo Chromebook Duet 5 13 (rev2)
         items:
           - const: google,homestar-rev2
           - const: google,homestar-rev23
           - const: qcom,sc7180
 
-      - description: Lenovo Chromebook Duet 5 13 (rev3)
-        items:
-          - const: google,homestar-rev3
-          - const: qcom,sc7180
-
-      - description: Lenovo Chromebook Duet 5 13 (newest rev)
-        items:
-          - const: google,homestar
-          - const: qcom,sc7180
-
-      - description: Google Kingoftown (rev0)
-        items:
-          - const: google,kingoftown-rev0
-          - const: qcom,sc7180
-
-      - description: Google Kingoftown (newest rev)
-        items:
-          - const: google,kingoftown
-          - const: qcom,sc7180
-
-      - description: Acer Chromebook Spin 513 (rev0)
-        items:
-          - const: google,lazor-rev0
-          - const: qcom,sc7180
-
       - description: Acer Chromebook Spin 513 (rev1 - 2)
         items:
           - const: google,lazor-rev1
@@ -240,11 +201,6 @@ properties:
           - const: google,lazor-rev8
           - const: qcom,sc7180
 
-      - description: Acer Chromebook Spin 513 (newest rev)
-        items:
-          - const: google,lazor
-          - const: qcom,sc7180
-
       - description: Acer Chromebook Spin 513 with KB Backlight (rev1 - 2)
         items:
           - const: google,lazor-rev1-sku2
@@ -261,11 +217,6 @@ properties:
           - const: google,lazor-rev8-sku2
           - const: qcom,sc7180
 
-      - description: Acer Chromebook Spin 513 with KB Backlight (newest rev)
-        items:
-          - const: google,lazor-sku2
-          - const: qcom,sc7180
-
       - description: Acer Chromebook Spin 513 with LTE (rev1 - 2)
         items:
           - const: google,lazor-rev1-sku0
@@ -282,11 +233,6 @@ properties:
           - const: google,lazor-rev8-sku0
           - const: qcom,sc7180
 
-      - description: Acer Chromebook Spin 513 with LTE (newest rev)
-        items:
-          - const: google,lazor-sku0
-          - const: qcom,sc7180
-
       - description: Acer Chromebook 511 (rev4 - rev8)
         items:
           - const: google,lazor-rev4-sku4
@@ -296,16 +242,6 @@ properties:
           - const: google,lazor-rev8-sku4
           - const: qcom,sc7180
 
-      - description: Acer Chromebook 511 (newest rev)
-        items:
-          - const: google,lazor-sku4
-          - const: qcom,sc7180
-
-      - description: Acer Chromebook 511 without Touchscreen (rev4)
-        items:
-          - const: google,lazor-rev4-sku5
-          - const: qcom,sc7180
-
       - description: Acer Chromebook 511 without Touchscreen (rev5 - rev8)
         items:
           - const: google,lazor-rev5-sku5
@@ -315,133 +251,18 @@ properties:
           - const: google,lazor-rev8-sku6
           - const: qcom,sc7180
 
-      - description: Acer Chromebook 511 without Touchscreen (newest rev)
-        items:
-          - const: google,lazor-sku6
-          - const: qcom,sc7180
-
-      - description: Google Mrbland with AUO panel (rev0)
-        items:
-          - const: google,mrbland-rev0-sku0
-          - const: qcom,sc7180
-
-      - description: Google Mrbland with AUO panel (newest rev)
-        items:
-          - const: google,mrbland-sku1536
-          - const: qcom,sc7180
-
-      - description: Google Mrbland with BOE panel (rev0)
-        items:
-          - const: google,mrbland-rev0-sku16
-          - const: qcom,sc7180
-
       - description: Google Mrbland with BOE panel (newest rev)
         items:
           - const: google,mrbland-sku1024
           - const: google,mrbland-sku768
           - const: qcom,sc7180
 
-      - description: Google Pazquel with Parade (newest rev)
-        items:
-          - const: google,pazquel-sku5
-          - const: qcom,sc7180
-
-      - description: Google Pazquel with TI (newest rev)
-        items:
-          - const: google,pazquel-sku1
-          - const: qcom,sc7180
-
-      - description: Google Pazquel with LTE and Parade (newest rev)
-        items:
-          - const: google,pazquel-sku4
-          - const: qcom,sc7180
-
       - description: Google Pazquel with LTE and TI (newest rev)
         items:
           - const: google,pazquel-sku0
           - const: google,pazquel-sku2
           - const: qcom,sc7180
 
-      - description: Sharp Dynabook Chromebook C1 (rev1)
-        items:
-          - const: google,pompom-rev1
-          - const: qcom,sc7180
-
-      - description: Sharp Dynabook Chromebook C1 (rev2)
-        items:
-          - const: google,pompom-rev2
-          - const: qcom,sc7180
-
-      - description: Sharp Dynabook Chromebook C1 (newest rev)
-        items:
-          - const: google,pompom
-          - const: qcom,sc7180
-
-      - description: Sharp Dynabook Chromebook C1 with LTE (rev1)
-        items:
-          - const: google,pompom-rev1-sku0
-          - const: qcom,sc7180
-
-      - description: Sharp Dynabook Chromebook C1 with LTE (rev2)
-        items:
-          - const: google,pompom-rev2-sku0
-          - const: qcom,sc7180
-
-      - description: Sharp Dynabook Chromebook C1 with LTE (newest rev)
-        items:
-          - const: google,pompom-sku0
-          - const: qcom,sc7180
-
-      - description: Google Quackingstick (newest rev)
-        items:
-          - const: google,quackingstick-sku1537
-          - const: qcom,sc7180
-
-      - description: Google Quackingstick with LTE (newest rev)
-        items:
-          - const: google,quackingstick-sku1536
-          - const: qcom,sc7180
-
-      - description: Google Trogdor (newest rev)
-        items:
-          - const: google,trogdor
-          - const: qcom,sc7180
-
-      - description: Google Trogdor with LTE (newest rev)
-        items:
-          - const: google,trogdor-sku0
-          - const: qcom,sc7180
-
-      - description: Lenovo IdeaPad Chromebook Duet 3 with BOE panel (rev0)
-        items:
-          - const: google,wormdingler-rev0-sku16
-          - const: qcom,sc7180
-
-      - description: Lenovo IdeaPad Chromebook Duet 3 with BOE panel (newest rev)
-        items:
-          - const: google,wormdingler-sku1024
-          - const: qcom,sc7180
-
-      - description: Lenovo IdeaPad Chromebook Duet 3 with BOE panel and rt5682s (newest rev)
-        items:
-          - const: google,wormdingler-sku1025
-          - const: qcom,sc7180
-
-      - description: Lenovo IdeaPad Chromebook Duet 3 with INX panel (rev0)
-        items:
-          - const: google,wormdingler-rev0-sku0
-          - const: qcom,sc7180
-
-      - description: Lenovo IdeaPad Chromebook Duet 3 with INX panel (newest rev)
-        items:
-          - const: google,wormdingler-sku0
-          - const: qcom,sc7180
-
-      - description: Lenovo IdeaPad Chromebook Duet 3 with INX panel and rt5682s (newest rev)
-        items:
-          - const: google,wormdingler-sku1
-          - const: qcom,sc7180
-
       - description: Qualcomm Technologies, Inc. sc7280 CRD platform (rev3 - 4)
         items:
           - const: qcom,sc7280-crd
@@ -451,11 +272,6 @@ properties:
           - const: google,piglin-rev4
           - const: qcom,sc7280
 
-      - description: Qualcomm Technologies, Inc. sc7280 CRD platform (newest rev)
-        items:
-          - const: google,hoglin
-          - const: qcom,sc7280
-
       - description: Qualcomm Technologies, Inc. sc7280 IDP SKU1 platform
         items:
           - const: qcom,sc7280-idp
@@ -468,16 +284,6 @@ properties:
           - const: google,piglin
           - const: qcom,sc7280
 
-      - description: Google Herobrine (newest rev)
-        items:
-          - const: google,herobrine
-          - const: qcom,sc7280
-
-      - description: Google Villager (newest rev)
-        items:
-          - const: google,villager
-          - const: qcom,sc7280
-
       - items:
           - {}
           - const: qcom,qcs404-evb