diff --git a/Documentation/devicetree/bindings/arm/qcom.yaml b/Documentation/devicetree/bindings/arm/qcom.yaml
index fb1d00bcc847..d4d945a43178 100644
--- a/Documentation/devicetree/bindings/arm/qcom.yaml
+++ b/Documentation/devicetree/bindings/arm/qcom.yaml
@@ -107,60 +107,39 @@ properties:
   compatible:
     oneOf:
       - items:
-          - enum:
-              - qcom,apq8016-sbc
+          - {}
           - const: qcom,apq8016
 
       - items:
-          - enum:
-              - asus,sparrow
-              - lg,lenok
+          - {}
           - const: qcom,apq8026
 
       - items:
-          - enum:
-              - asus,nexus7-flo
-              - lg,nexus4-mako
-              - sony,xperia-yuga
-              - qcom,apq8064-cm-qs600
-              - qcom,apq8064-ifc6410
+          - {}
           - const: qcom,apq8064
 
       - items:
-          - enum:
-              - qcom,apq8074-dragonboard
+          - {}
           - const: qcom,apq8074
 
       - items:
-          - enum:
-              - qcom,apq8060-dragonboard
-              - qcom,msm8660-surf
+          - {}
           - const: qcom,msm8660
 
       - items:
-          - enum:
-              - qcom,apq8084-mtp
-              - qcom,apq8084-sbc
+          - {}
           - const: qcom,apq8084
 
       - items:
-          - enum:
-              - samsung,s3ve3g
+          - {}
           - const: qcom,msm8226
 
       - items:
-          - enum:
-              - qcom,msm8960-cdp
+          - {}
           - const: qcom,msm8960
 
       - items:
-          - enum:
-              - fairphone,fp2
-              - lge,hammerhead
-              - samsung,klte
-              - sony,xperia-amami
-              - sony,xperia-castor
-              - sony,xperia-honami
+          - {}
           - const: qcom,msm8974
 
       - items:
@@ -169,16 +148,7 @@ properties:
           - const: qcom,msm8916
 
       - items:
-          - enum:
-              - alcatel,idol347
-              - asus,z00l
-              - huawei,g7
-              - longcheer,l8910
-              - samsung,a3u-eur
-              - samsung,a5u-eur
-              - samsung,j5
-              - samsung,serranove
-              - wingtech,wt88047
+          - {}
           - const: qcom,msm8916
 
       - items:
@@ -187,26 +157,15 @@ properties:
           - const: qcom,msm8916
 
       - items:
-          - enum:
-              - lg,bullhead
-              - microsoft,talkman
-              - xiaomi,libra
+          - {}
           - const: qcom,msm8992
 
       - items:
-          - enum:
-              - sony,karin_windy
+          - {}
           - const: qcom,apq8094
 
       - items:
-          - enum:
-              - huawei,angler
-              - microsoft,cityman
-              - sony,ivy-row
-              - sony,karin-row
-              - sony,satsuki-row
-              - sony,sumire-row
-              - sony,suzuran-row
+          - {}
           - const: qcom,msm8994
 
       - items:
@@ -217,49 +176,23 @@ properties:
           - const: qcom,apq8096
 
       - items:
-          - enum:
-              - qcom,msm8996-mtp
-              - sony,dora-row
-              - sony,kagura-row
-              - sony,keyaki-row
-              - xiaomi,gemini
-              - xiaomi,natrium
-              - xiaomi,scorpio
+          - {}
           - const: qcom,msm8996
 
       - items:
-          - enum:
-              - asus,novago-tp370ql
-              - fxtec,pro1
-              - hp,envy-x2
-              - lenovo,miix-630
-              - oneplus,cheeseburger
-              - oneplus,dumpling
-              - qcom,msm8998-mtp
-              - sony,xperia-lilac
-              - sony,xperia-maple
-              - sony,xperia-poplar
+          - {}
           - const: qcom,msm8998
 
       - items:
-          - enum:
-              - qcom,ipq4019-ap-dk01.1-c1
-              - qcom,ipq4019-ap-dk04.1-c3
-              - qcom,ipq4019-ap-dk07.1-c1
-              - qcom,ipq4019-ap-dk07.1-c2
-              - qcom,ipq4019-dk04.1-c1
+          - {}
           - const: qcom,ipq4019
 
       - items:
-          - enum:
-              - qcom,ipq8064-ap148
+          - {}
           - const: qcom,ipq8064
 
       - items:
-          - enum:
-              - qcom,ipq8074-hk01
-              - qcom,ipq8074-hk10-c1
-              - qcom,ipq8074-hk10-c2
+          - {}
           - const: qcom,ipq8074
 
       - description: Qualcomm Technologies, Inc. SC7180 IDP
@@ -576,146 +509,88 @@ properties:
           - const: qcom,sc7280
 
       - items:
-          - enum:
-              - lenovo,flex-5g
-              - microsoft,surface-prox
-              - qcom,sc8180x-primus
+          - {}
           - const: qcom,sc8180x
 
       - items:
-          - enum:
-              - lenovo,thinkpad-x13s
-              - qcom,sc8280xp-crd
-              - qcom,sc8280xp-qrd
+          - {}
           - const: qcom,sc8280xp
 
       - items:
-          - enum:
-              - sony,discovery-row
-              - sony,kirin-row
-              - sony,pioneer-row
-              - sony,voyager-row
+          - {}
           - const: qcom,sdm630
 
       - items:
-          - enum:
-              - inforce,ifc6560
+          - {}
           - const: qcom,sda660
 
       - items:
-          - enum:
-              - fairphone,fp3
+          - {}
           - const: qcom,sdm632
 
       - items:
-          - enum:
-              - sony,mermaid-row
+          - {}
           - const: qcom,sdm636
 
       - items:
-          - enum:
-              - xiaomi,lavender
+          - {}
           - const: qcom,sdm660
 
       - items:
-          - enum:
-              - qcom,sdx55-mtp
-              - qcom,sdx55-telit-fn980-tlb
-              - qcom,sdx55-t55
+          - {}
           - const: qcom,sdx55
 
       - items:
-          - enum:
-              - qcom,sdx65-mtp
+          - {}
           - const: qcom,sdx65
 
       - items:
-          - enum:
-              - qcom,ipq6018-cp01
-              - qcom,ipq6018-cp01-c1
+          - {}
           - const: qcom,ipq6018
 
       - items:
-          - enum:
-              - qcom,qcs404-evb-1000
-              - qcom,qcs404-evb-4000
+          - {}
           - const: qcom,qcs404-evb
           - const: qcom,qcs404
 
       - items:
-          - enum:
-              - qcom,sa8155p-adp
+          - {}
           - const: qcom,sa8155p
 
       - items:
-          - enum:
-              - qcom,sa8295p-adp
+          - {}
           - const: qcom,sa8540p
 
       - items:
-          - enum:
-              - lenovo,yoga-c630
-              - lg,judyln
-              - lg,judyp
-              - oneplus,enchilada
-              - oneplus,fajita
-              - qcom,sdm845-mtp
-              - shift,axolotl
-              - samsung,w737
-              - sony,akari-row
-              - sony,akatsuki-row
-              - sony,apollo-row
-              - thundercomm,db845c
-              - xiaomi,beryllium
-              - xiaomi,polaris
+          - {}
           - const: qcom,sdm845
 
       - items:
-          - enum:
-              - sony,pdx201
+          - {}
           - const: qcom,sm6125
 
       - items:
-          - enum:
-              - sony,pdx213
+          - {}
           - const: qcom,sm6350
 
       - items:
-          - enum:
-              - fairphone,fp4
+          - {}
           - const: qcom,sm7225
 
       - items:
-          - enum:
-              - microsoft,surface-duo
-              - qcom,sm8150-hdk
-              - qcom,sm8150-mtp
-              - sony,bahamut-generic
-              - sony,griffin-generic
+          - {}
           - const: qcom,sm8150
 
       - items:
-          - enum:
-              - qcom,qrb5165-rb5
-              - qcom,sm8250-hdk
-              - qcom,sm8250-mtp
-              - sony,pdx203-generic
-              - sony,pdx206-generic
+          - {}
           - const: qcom,sm8250
 
       - items:
-          - enum:
-              - microsoft,surface-duo2
-              - qcom,sm8350-hdk
-              - qcom,sm8350-mtp
-              - sony,pdx214-generic
-              - sony,pdx215-generic
+          - {}
           - const: qcom,sm8350
 
       - items:
-          - enum:
-              - qcom,sm8450-hdk
-              - qcom,sm8450-qrd
+          - {}
           - const: qcom,sm8450
 
 additionalProperties: true