diff --git a/Documentation/devicetree/bindings/arm/qcom.yaml b/Documentation/devicetree/bindings/arm/qcom.yaml
index d4d945a43178..809d3de18194 100644
--- a/Documentation/devicetree/bindings/arm/qcom.yaml
+++ b/Documentation/devicetree/bindings/arm/qcom.yaml
@@ -108,66 +108,56 @@ properties:
     oneOf:
       - items:
           - {}
-          - const: qcom,apq8016
-
-      - items:
-          - {}
-          - const: qcom,apq8026
-
-      - items:
-          - {}
-          - const: qcom,apq8064
-
-      - items:
-          - {}
-          - const: qcom,apq8074
-
-      - items:
-          - {}
-          - const: qcom,msm8660
-
-      - items:
-          - {}
-          - const: qcom,apq8084
-
-      - items:
-          - {}
-          - const: qcom,msm8226
-
-      - items:
-          - {}
-          - const: qcom,msm8960
-
-      - items:
-          - {}
-          - const: qcom,msm8974
+          - enum:
+              - qcom,apq8016
+              - qcom,apq8026
+              - qcom,apq8064
+              - qcom,apq8074
+              - qcom,apq8084
+              - qcom,apq8094
+              - qcom,ipq4019
+              - qcom,ipq6018
+              - qcom,ipq8064
+              - qcom,ipq8074
+              - qcom,msm8226
+              - qcom,msm8660
+              - qcom,msm8916
+              - qcom,msm8960
+              - qcom,msm8974
+              - qcom,msm8992
+              - qcom,msm8994
+              - qcom,msm8996
+              - qcom,msm8998
+              - qcom,sa8155p
+              - qcom,sa8540p
+              - qcom,sc8180x
+              - qcom,sc8280xp
+              - qcom,sda660
+              - qcom,sdm630
+              - qcom,sdm632
+              - qcom,sdm636
+              - qcom,sdm660
+              - qcom,sdm845
+              - qcom,sdx55
+              - qcom,sdx65
+              - qcom,sm6125
+              - qcom,sm6350
+              - qcom,sm7225
+              - qcom,sm8150
+              - qcom,sm8250
+              - qcom,sm8350
+              - qcom,sm8450
 
       - items:
           - const: qcom,msm8916-mtp
           - const: qcom,msm8916-mtp/1
           - const: qcom,msm8916
 
-      - items:
-          - {}
-          - const: qcom,msm8916
-
       - items:
           - const: longcheer,l8150
           - const: qcom,msm8916-v1-qrd/9-v1
           - const: qcom,msm8916
 
-      - items:
-          - {}
-          - const: qcom,msm8992
-
-      - items:
-          - {}
-          - const: qcom,apq8094
-
-      - items:
-          - {}
-          - const: qcom,msm8994
-
       - items:
           - enum:
               - arrow,apq8096-db820c
@@ -175,26 +165,6 @@ properties:
           - const: qcom,apq8096-sbc
           - const: qcom,apq8096
 
-      - items:
-          - {}
-          - const: qcom,msm8996
-
-      - items:
-          - {}
-          - const: qcom,msm8998
-
-      - items:
-          - {}
-          - const: qcom,ipq4019
-
-      - items:
-          - {}
-          - const: qcom,ipq8064
-
-      - items:
-          - {}
-          - const: qcom,ipq8074
-
       - description: Qualcomm Technologies, Inc. SC7180 IDP
         items:
           - enum:
@@ -508,91 +478,11 @@ properties:
           - const: google,villager
           - const: qcom,sc7280
 
-      - items:
-          - {}
-          - const: qcom,sc8180x
-
-      - items:
-          - {}
-          - const: qcom,sc8280xp
-
-      - items:
-          - {}
-          - const: qcom,sdm630
-
-      - items:
-          - {}
-          - const: qcom,sda660
-
-      - items:
-          - {}
-          - const: qcom,sdm632
-
-      - items:
-          - {}
-          - const: qcom,sdm636
-
-      - items:
-          - {}
-          - const: qcom,sdm660
-
-      - items:
-          - {}
-          - const: qcom,sdx55
-
-      - items:
-          - {}
-          - const: qcom,sdx65
-
-      - items:
-          - {}
-          - const: qcom,ipq6018
-
       - items:
           - {}
           - const: qcom,qcs404-evb
           - const: qcom,qcs404
 
-      - items:
-          - {}
-          - const: qcom,sa8155p
-
-      - items:
-          - {}
-          - const: qcom,sa8540p
-
-      - items:
-          - {}
-          - const: qcom,sdm845
-
-      - items:
-          - {}
-          - const: qcom,sm6125
-
-      - items:
-          - {}
-          - const: qcom,sm6350
-
-      - items:
-          - {}
-          - const: qcom,sm7225
-
-      - items:
-          - {}
-          - const: qcom,sm8150
-
-      - items:
-          - {}
-          - const: qcom,sm8250
-
-      - items:
-          - {}
-          - const: qcom,sm8350
-
-      - items:
-          - {}
-          - const: qcom,sm8450
-
 additionalProperties: true
 
 ...