diff --git a/Documentation/devicetree/bindings/arm/qcom.yaml b/Documentation/devicetree/bindings/arm/qcom.yaml
index 450f616774e0..e0efc80a72e1 100644
--- a/Documentation/devicetree/bindings/arm/qcom.yaml
+++ b/Documentation/devicetree/bindings/arm/qcom.yaml
@@ -460,7 +460,7 @@ properties:
           - const: google,lazor-rev2
           - const: qcom,sc7180
 
-      - description: Acer Chromebook Spin 513 (rev3 - 8)
+      - description: Acer Chromebook Spin 513 (rev3 - 9)
         items:
           - const: google,lazor-rev3
           - const: google,lazor-rev4
@@ -468,6 +468,7 @@ properties:
           - const: google,lazor-rev6
           - const: google,lazor-rev7
           - const: google,lazor-rev8
+          - const: google,lazor-rev9
           - const: qcom,sc7180
 
       - description: Acer Chromebook Spin 513 (newest rev)
@@ -481,7 +482,7 @@ properties:
           - const: google,lazor-rev2-sku2
           - const: qcom,sc7180
 
-      - description: Acer Chromebook Spin 513 with KB Backlight (rev3 - 8)
+      - description: Acer Chromebook Spin 513 with KB Backlight (rev3 - 9)
         items:
           - const: google,lazor-rev3-sku2
           - const: google,lazor-rev4-sku2
@@ -489,6 +490,7 @@ properties:
           - const: google,lazor-rev6-sku2
           - const: google,lazor-rev7-sku2
           - const: google,lazor-rev8-sku2
+          - const: google,lazor-rev9-sku2
           - const: qcom,sc7180
 
       - description: Acer Chromebook Spin 513 with KB Backlight (newest rev)
@@ -502,7 +504,7 @@ properties:
           - const: google,lazor-rev2-sku0
           - const: qcom,sc7180
 
-      - description: Acer Chromebook Spin 513 with LTE (rev3 - 8)
+      - description: Acer Chromebook Spin 513 with LTE (rev3 - 9)
         items:
           - const: google,lazor-rev3-sku0
           - const: google,lazor-rev4-sku0
@@ -510,6 +512,7 @@ properties:
           - const: google,lazor-rev6-sku0
           - const: google,lazor-rev7-sku0
           - const: google,lazor-rev8-sku0
+          - const: google,lazor-rev9-sku0
           - const: qcom,sc7180
 
       - description: Acer Chromebook Spin 513 with LTE (newest rev)
@@ -517,13 +520,24 @@ properties:
           - const: google,lazor-sku0
           - const: qcom,sc7180
 
-      - description: Acer Chromebook 511 (rev4 - rev8)
+      - description: Acer Chromebook Spin 513 with LTE no-esim (rev9)
+        items:
+          - const: google,lazor-rev9-sku10
+          - const: qcom,sc7180
+
+      - description: Acer Chromebook Spin 513 with LTE no-esim (newest rev)
+        items:
+          - const: google,lazor-sku10
+          - const: qcom,sc7180
+
+      - description: Acer Chromebook 511 (rev4 - rev9)
         items:
           - const: google,lazor-rev4-sku4
           - const: google,lazor-rev5-sku4
           - const: google,lazor-rev6-sku4
           - const: google,lazor-rev7-sku4
           - const: google,lazor-rev8-sku4
+          - const: google,lazor-rev9-sku4
           - const: qcom,sc7180
 
       - description: Acer Chromebook 511 (newest rev)
@@ -536,13 +550,14 @@ properties:
           - const: google,lazor-rev4-sku5
           - const: qcom,sc7180
 
-      - description: Acer Chromebook 511 without Touchscreen (rev5 - rev8)
+      - description: Acer Chromebook 511 without Touchscreen (rev5 - rev9)
         items:
           - const: google,lazor-rev5-sku5
           - const: google,lazor-rev5-sku6
           - const: google,lazor-rev6-sku6
           - const: google,lazor-rev7-sku6
           - const: google,lazor-rev8-sku6
+          - const: google,lazor-rev9-sku6
           - const: qcom,sc7180
 
       - description: Acer Chromebook 511 without Touchscreen (newest rev)
@@ -550,6 +565,24 @@ properties:
           - const: google,lazor-sku6
           - const: qcom,sc7180
 
+      - description: Acer Chromebook 511 no-esim (rev9)
+        items:
+          - const: google,lazor-rev9-sku15
+          - const: qcom,sc7180
+
+      - description: Acer Chromebook 511 no-esim(newest rev)
+        items:
+          - const: google,lazor-sku15
+
+      - description: Acer Chromebook 511 without Touchscreen no-esim (rev9)
+        items:
+          - const: google,lazor-rev9-sku18
+          - const: qcom,sc7180
+
+      - description: Acer Chromebook 511 without Touchscreen no-esim(newest rev)
+        items:
+          - const: google,lazor-sku18
+
       - description: Google Mrbland with AUO panel (rev0)
         items:
           - const: google,mrbland-rev0-sku0